net.minecraft.entity.item

## Class EntityMinecartHopper

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.item.EntityMinecart
    - - net.minecraft.entity.item.EntityMinecartContainer
      - - net.minecraft.entity.item.EntityMinecartHopper

- All Implemented Interfaces:
    IInventory, IHopper

      public class EntityMinecartHopper
      extends EntityMinecartContainer
      implements IHopper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.item.EntityMinecart

      `canBePushed, canUseRail, defaultDragAir, defaultMaxSpeedAirLateral, defaultMaxSpeedAirVertical, dragAir, maxSpeedAirLateral, maxSpeedAirVertical`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityMinecartHopper(World par1World)`
    `EntityMinecartHopper(World par1World, double par2, double par4, double par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canTransfer()`
    `Block` | `func_145817_o()`
    `boolean` | `func_96112_aD()`
    `boolean` | `getBlocked()`
    `int` | `getDefaultDisplayTileOffset()`
    `int` | `getMinecartType()`
    `int` | `getSizeInventory()`
    `World` | `getWorldObj()`
    `double` | `getXPos()`
    `double` | `getYPos()`
    `double` | `getZPos()`
    `boolean` | `interactFirst(EntityPlayer par1EntityPlayer)`
    `void` | `killMinecart(DamageSource par1DamageSource)`
    `void` | `onActivatorRailPass(int par1, int par2, int par3, boolean par4)`
    `void` | `onUpdate()`
    `protected void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setBlocked(boolean par1)`
    `void` | `setTransferTicker(int par1)`
    `protected void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.item.EntityMinecartContainer

      `applyDrag, closeInventory, decrStackSize, getInventoryName, getInventoryStackLimit, getStackInSlot, getStackInSlotOnClosing, isItemValidForSlot, isUseableByPlayer, markDirty, openInventory, setDead, setInventorySlotContents, travelToDimension`

    - ### Methods inherited from class net.minecraft.entity.item.EntityMinecart

      `applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canBeRidden, canTriggerWalking, canUseRail, createMinecart, entityInit, func_145819_k, func_145820_n, func_145821_a, func_70489_a, func_70495_a, func_94088_b, func_95999_t, getBoundingBox, getCartItem, getCollisionBox, getCollisionHandler, getCommandSenderName, getCurrentCartSpeedCapOnRail, getDamage, getDefaultDisplayTileData, getDisplayTileData, getDisplayTileOffset, getDragAir, getMaxCartSpeedOnRail, getMaxSpeedAirLateral, getMaxSpeedAirVertical, getMountedYOffset, getRollingAmplitude, getRollingDirection, getShadowSize, getSlopeAdjustment, hasCustomInventoryName, hasDisplayTile, isPoweredCart, moveMinecartOnRail, performHurtAnimation, setCanUseRail, setCollisionHandler, setCurrentCartSpeedCapOnRail, setDamage, setDisplayTileData, setDisplayTileOffset, setDragAir, setHasDisplayTile, setMaxSpeedAirLateral, setMaxSpeedAirVertical, setMinecartName, setPositionAndRotation2, setRollingAmplitude, setRollingDirection, setVelocity, shouldDoRailFunctions`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, fall, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBrightness, getBrightnessForRender, getCollisionBorderSize, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getEyeHeight, getFlag, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, kill, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setBeenAttacked, setCurrentItemOrArmor, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setRotationYawHead, setSize, setSneaking, setSprinting, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, updateFallState, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.inventory.IInventory

      `closeInventory, decrStackSize, getInventoryName, getInventoryStackLimit, getStackInSlot, getStackInSlotOnClosing, hasCustomInventoryName, isItemValidForSlot, isUseableByPlayer, markDirty, openInventory, setInventorySlotContents`

- - ### Constructor Detail

    - #### EntityMinecartHopper

          public EntityMinecartHopper(World par1World)

    - #### EntityMinecartHopper

          public EntityMinecartHopper(World par1World,
                              double par2,
                              double par4,
                              double par6)

  - ### Method Detail

    - #### getMinecartType

          public int getMinecartType()

      Specified by:
        `getMinecartType` in class `EntityMinecart`

    - #### func_145817_o

          public Block func_145817_o()

      Overrides:
        `func_145817_o` in class `EntityMinecart`

    - #### getDefaultDisplayTileOffset

          public int getDefaultDisplayTileOffset()

      Overrides:
        `getDefaultDisplayTileOffset` in class `EntityMinecart`

    - #### getSizeInventory

          public int getSizeInventory()

      Specified by:
        `getSizeInventory` in interface `IInventory`

    - #### interactFirst

          public boolean interactFirst(EntityPlayer par1EntityPlayer)

      Overrides:
        `interactFirst` in class `EntityMinecartContainer`

    - #### onActivatorRailPass

          public void onActivatorRailPass(int par1,
                                 int par2,
                                 int par3,
                                 boolean par4)

      Overrides:
        `onActivatorRailPass` in class `EntityMinecart`

    - #### getBlocked

          public boolean getBlocked()

    - #### setBlocked

          public void setBlocked(boolean par1)

    - #### getWorldObj

          public World getWorldObj()

      Specified by:
        `getWorldObj` in interface `IHopper`

    - #### getXPos

          public double getXPos()

      Specified by:
        `getXPos` in interface `IHopper`

    - #### getYPos

          public double getYPos()

      Specified by:
        `getYPos` in interface `IHopper`

    - #### getZPos

          public double getZPos()

      Specified by:
        `getZPos` in interface `IHopper`

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `EntityMinecart`

    - #### func_96112_aD

          public boolean func_96112_aD()

    - #### killMinecart

          public void killMinecart(DamageSource par1DamageSource)

      Overrides:
        `killMinecart` in class `EntityMinecartContainer`

    - #### writeEntityToNBT

          protected void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityMinecartContainer`

    - #### readEntityFromNBT

          protected void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityMinecartContainer`

    - #### setTransferTicker

          public void setTransferTicker(int par1)

    - #### canTransfer

          public boolean canTransfer()